### Constructor

# EDataServer GDataSession new

since: 3.46

#### Declaration [src]

    EGDataSession*
    e_gdata_session_new (
      ESource* source
    )

#### Description [src]

Creates a new `EGDataSession` associated with the given `source`.

Available since: 3.46

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the function.

#### Return value

Type: `EGDataSession`

A new `EGDataSession`; free it with g_object_unref(), when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.